GCLOUD_COMPONENTS_REMOVE(1)

NAME

gcloud components remove - remove one or more installed components

SYNOPSIS

gcloud components remove COMPONENT-ID [COMPONENT-ID ...] [GLOBAL-FLAG ...]

DESCRIPTION
Uninstall all listed components, as well as all components that directly or indirectly depend on them. The command lists all components it is about to remove, and asks for confirmation before proceeding.

POSITIONAL ARGUMENTS
COMPONENT-ID [COMPONENT-ID ...]
    The IDs of the components to be removed.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To remove COMPONENT-1, COMPONENT-2, and all components that directly or indirectly depend on COMPONENT-1 or COMPONENT-2, type the following:
    $ gcloud components remove COMPONENT-1 COMPONENT-2